# CiAgent

## Building for CentOS/EPEL
### Setup your environment
Required:
- Install python 2.6 or 2.7
- Install fpm
- Install rpm-build

- CentOS6/EPEL6:
```
yum -y install ruby rubygems ruby-devel
gem install ffi -v 1.9.10
gem install json -v 1.8.3
gem install rake -v 0.9.6
gem install fpm -v 1.4.0
yum install -y rpm-build
```

- CentOS6/EPEL7:
```
yum -y install ruby rubygems ruby-devel
gem install fpm
yum install -y rpm-build
```

## Building for Windows
### Setup your environment
Required:
- Install python-2.7.15.amd64.msi
- Install PyQt4-4.11.3-gpl-Py2.7-Qt4.8.6-x64.exe
- Install mingw-get-setup.exe
- Install wix311.exe

Before building, you need to unlock access to build.ps1.
In `cmd.exe` or Powershell, from the CiAgent repo's root run:

`powershell -File .\packaging\win32\build.ps1`

This will generate a `.msi` file in the `build/` folder.


## How to configure the Agent

If you are using packages on linux, the main configuration file lives
in `/etc/CiAgent/CiAgent.conf`. Per-check configuration files are in
`/etc/CiAgent/conf.d`. We provide an example in the same directory
that you can use as a template.
