cd ../../

rm -Rf ./envs
rm -Rf ./venv
mkdir -p venv
cp /root/dev/virtualenv.py ./venv
python venv/virtualenv.py  --no-site-packages --no-pip --no-setuptools venv/

cp /root/dev/ez_setup.py ./venv
venv/bin/python venv/ez_setup.py --version="20.9.0"

cp /root/dev/get-pip.py ./venv
venv/bin/python venv/get-pip.py
venv/bin/pip install -r requirements.txt

#制作rpm包
cd ..

#创建目录
rm -rf ./rpm_packages
mkdir -p ./rpm_packages

#创建配置文件目录
mkdir -p ./rpm_packages/etc/CiAgent	

#复制CI配置文件
cp ./cloudinsight-agent-centos-py27/CiAgent.conf.example ./rpm_packages/etc/CiAgent/CiAgent.conf
cp -Rf ./cloudinsight-agent-centos-py27/conf.d/ ./rpm_packages/etc/CiAgent/
cp ./cloudinsight-agent-centos-py27/packaging/supervisord.conf ./rpm_packages/etc/CiAgent/
mv ./rpm_packages/etc/CiAgent/conf.d/disk.yaml.default ./rpm_packages/etc/CiAgent/conf.d/disk.yaml
mv ./rpm_packages/etc/CiAgent/conf.d/network.yaml.default ./rpm_packages/etc/CiAgent/conf.d/network.yaml

#创建应用目录
mkdir -p ./rpm_packages/opt/CiAgent/agent

#删除gohai.exe
rm -rf ./cloudinsight-agent-centos-py27/gohai
mv ./cloudinsight-agent-centos-py27/collector/checks/gohai ./cloudinsight-agent-centos-py27/gohai

#复制应用
cp -Rf ./cloudinsight-agent-centos-py27/* ./rpm_packages/opt/CiAgent/agent
cp ./cloudinsight-agent-centos-py27/packaging/centos/cloudinsight-agent.init ./rpm_packages/opt/CiAgent/agent

#创建etc/init.d目录
mkdir -p ./rpm_packages/etc/init.d
cp ./cloudinsight-agent-centos-py27/packaging/centos/CiAgent.init ./rpm_packages/etc/init.d/CiAgent

#复制启动脚本
fpm -s dir -t rpm -n CiAgent -v $1 -C ./rpm_packages -f --before-install ./cloudinsight-agent-centos-py27/packaging/centos/before-install.sh --before-remove ./cloudinsight-agent-centos-py27/packaging/centos/before-remove.sh --after-install ./cloudinsight-agent-centos-py27/packaging/centos/after-install.sh --after-remove ./cloudinsight-agent-centos-py27/packaging/centos/after-remove.sh  --rpm-user CiAgent --rpm-group CiAgent
