cd ../../

rm -Rf ./envs
rm -Rf ./venv
mkdir -p venv
cp /root/dev/virtualenv.py ./venv
python venv/virtualenv.py  --no-site-packages --no-pip --no-setuptools venv/

cp /root/dev/ez_setup.py ./venv
venv/bin/python venv/ez_setup.py --version="20.9.0"

cp /root/dev/get-pip.py ./venv
venv/bin/python venv/get-pip.py
venv/bin/pip install -r requirements.txt

#清除deb包
cd ..

#创建目录
rm -rf ./deb_packages
mkdir -p ./deb_packages

#创建配置文件目录
mkdir -p ./deb_packages/etc/CiAgent

#复制CI配置文件
cp ./cloudinsight-agent-ubuntu/CiAgent.conf.example ./deb_packages/etc/CiAgent/CiAgent.conf
cp -Rf ./cloudinsight-agent-ubuntu/conf.d/ ./deb_packages/etc/CiAgent/
cp ./cloudinsight-agent-ubuntu/packaging/supervisord.conf ./deb_packages/etc/CiAgent/
mv ./deb_packages/etc/CiAgent/conf.d/disk.yaml.default ./deb_packages/etc/CiAgent/conf.d/disk.yaml
mv ./deb_packages/etc/CiAgent/conf.d/network.yaml.default ./deb_packages/etc/CiAgent/conf.d/network.yaml

#gohai.exe
rm -rf ./cloudinsight-agent-ubuntu/gohai
cp ./cloudinsight-agent-ubuntu/collector/checks/gohai ./cloudinsight-agent-ubuntu/gohai

#创建应用目录
mkdir -p ./deb_packages/opt/CiAgent/agent

#复制应用
cp -Rf ./cloudinsight-agent-ubuntu/* ./deb_packages/opt/CiAgent/agent
cp ./cloudinsight-agent-ubuntu/packaging/debian/CiAgent.init ./deb_packages/opt/CiAgent/agent

#创建etc/init.d目录
mkdir -p ./deb_packages/etc/init.d
cp ./cloudinsight-agent-ubuntu/packaging/debian/CiAgent.init ./deb_packages/etc/init.d/CiAgent

#打包deb包
cp -Rf ./cloudinsight-agent-ubuntu/packaging/debian/start_agent.sh ./deb_packages/opt/CiAgent/agent
mkdir -p ./deb_packages/lib/systemd/system
cp ./cloudinsight-agent-ubuntu/packaging/debian/CiAgent.service ./deb_packages/lib/systemd/system

#复制启动脚本
fpm -s dir -t deb -n CiAgent -v $1 -C ./deb_packages -f --before-install ./cloudinsight-agent-ubuntu/packaging/debian/before-install.sh --before-remove ./cloudinsight-agent-ubuntu/packaging/debian/before-remove.sh --after-install ./cloudinsight-agent-ubuntu/packaging/debian/after-install.sh --after-remove ./cloudinsight-agent-ubuntu/packaging/debian/after-remove.sh  --rpm-user CiAgent --rpm-group CiAgent
